import type { NetworkAdapter } from '@luvio/engine';
import { type JwtResolver } from '@luvio/jwt-manager';
import { setupJwtNetworkAdapter, setupLexJwtNetworkAdapter, type ModifyResourceRequestHook } from './jwtNetworkAdapter';
export declare function buildJwtNetworkAdapter<T, E>(jwtResolver: JwtResolver<E>, modifyResourceRequestHook?: ModifyResourceRequestHook<T, E>): NetworkAdapter;
export { setupJwtNetworkAdapter, setupLexJwtNetworkAdapter };
export type { ModifyResourceRequestHook, RequestLogger, RequestTracker } from './jwtNetworkAdapter';
export { instrument, FetchWithJwtNetworkInstrumentation } from './instrumentation';
